# Project Name: AT Results
## Overview

This project involves the creation of a website for the Angling Trust to manage members, teams, and other aspects of their fishing events. The website will serve as a central hub for Angling Trust staff to access and manage data related to events, participants, and teams. The website will be designed to streamline the event management process, allowing staff to easily add and edit event details, manage participants and teams, and generate reports in the form of scoreboards.

## Client Requirements

### Functional Requirements

- The website should allow staff to manage participant and team registrations, including adding and editing participant and team details.

- The website should allow staff to display a scoreboard on event participation, team rosters, and other relevant data.

### Content Requirements

- The website should contain event details, including participants and their assigned teams.

- The website should contain participant and team details, including names..

### Design Requirements

- The website should follow the Angling Trust branding and colour scheme.

- The website must be easy to navigate and use. Displayed instructions must be clear and interfaces must be intuitive.

- The website must be responsive and mobile-friendly.

- Staff should be able to add and edit: members, teams and sections.

- Staff should be able to assign: members to teams and members to sections.

- An error should be displayed when a staff member tries to assign a member to a section that contains another member in the same team.

- An error should appear if a staff member tries to change a peg number to that of another member's peg number, or, should recieve the option to swap the peg numbers.

- Members that aren't yet assigned to a team should be shown as such, and scoreboards should not include these members.

- Members that aren't yet assigned to a section should be shown as such, and scoreboards should not include these members.

- Staff should be able to prohibit certain alphabetic characters from being used as section identifiers.

### Technical Requirements

- The website should be built using a modern web development framework.

- The website should be hosted on a reliable and secure server.

- The website should incorporate appropriate security measures, such as encryption and authentication.

#### Teams

- Represents a team of members

- Must have a name represented by a whole number.

- No members on a team can have be on the  same section.

- Teams may be limited to a set amount of members, add a setting to allow for this.

#### Members

- Members must represent a participant in the event

- Members should have a first and last name

- Members should have a unique whole number as their peg.

- A member must be assigned to a team.

- Members must be assigned to a section

- A member cannot be assigned to a section that already contains one of their teammates.

#### Section

- Sections represent a fishing area

- Sections must be uniquely identified by an alphabetical character.

- Unique identifiers should use an additional character should all other options be used.

- A section cannot have 2 members assigned to it that share the same team.

## Deliverables

- A fully functional website that meets the client's functional, content, design, and technical requirements.

- A user manual or other documentation that explains how to use and maintain the website.

## Timeline

- Project kickoff: September 2022.

- No specific end date set.

## Budget

- Total project budget is a Costco hotdog with no onions.

## Stakeholders

- Angling Trust staff members responsible for managing events and overseeing participant and team registrations.

## Approval

- A project demo presentation was carried out for Angling Trust staff